Request password reset email
POST
/api/v1/auth/forgot-password
const url = 'https://api.totalview.energy/api/v1/auth/forgot-password';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"email":"hello@example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.totalview.energy/api/v1/auth/forgot-password \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com" }'Send a password reset email. Always returns success to avoid leaking whether an email is registered.
Request Body required
Section titled “Request Body required ” Media type application/json
ForgotPasswordRequest
Public request to initiate password reset.
object
email
required
Email
string format: email
Example generated
{ "email": "hello@example.com"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}